Loading...
Searching...
No Matches
starpu_thread_util.h File Reference
`#include <starpu_util.h>`
`#include <starpu_thread.h>`
`#include <errno.h>`

Go to the source code of this file.

## Macros

#define | STARPU_PTHREAD_CREATE_ON(name, thread, attr, routine, arg, where)
#define | STARPU_PTHREAD_CREATE(thread, attr, routine, arg)
#define | STARPU_PTHREAD_JOIN(thread, retval)
#define | _STARPU_PTHREAD_MUTEX_INIT(mutex, attr)
#define | STARPU_PTHREAD_MUTEX_INIT(mutex, attr)
#define | STARPU_PTHREAD_MUTEX_INIT0(mutex, attr)
#define | STARPU_PTHREAD_MUTEX_DESTROY(mutex)
#define | _STARPU_CHECK_NOT_SCHED_MUTEX(mutex, file, line)
#define | STARPU_PTHREAD_MUTEX_LOCK(mutex)
#define | STARPU_PTHREAD_MUTEX_LOCK_SCHED(mutex)
#define | STARPU_PTHREAD_MUTEX_TRYLOCK(mutex)
#define | STARPU_PTHREAD_MUTEX_TRYLOCK_SCHED(mutex)
#define | STARPU_PTHREAD_MUTEX_UNLOCK(mutex)
#define | STARPU_PTHREAD_MUTEX_UNLOCK_SCHED(mutex)
#define | STARPU_PTHREAD_KEY_CREATE(key, destr)
#define | STARPU_PTHREAD_KEY_DELETE(key)
#define | STARPU_PTHREAD_SETSPECIFIC(key, ptr)
#define | STARPU_PTHREAD_GETSPECIFIC(key)
#define | _STARPU_PTHREAD_RWLOCK_INIT(rwlock, attr)
#define | STARPU_PTHREAD_RWLOCK_INIT(rwlock, attr)
#define | STARPU_PTHREAD_RWLOCK_INIT0(rwlock, attr)
#define | STARPU_PTHREAD_RWLOCK_RDLOCK(rwlock)
#define | STARPU_PTHREAD_RWLOCK_TRYRDLOCK(rwlock)
#define | STARPU_PTHREAD_RWLOCK_WRLOCK(rwlock)
#define | STARPU_PTHREAD_RWLOCK_TRYWRLOCK(rwlock)
#define | STARPU_PTHREAD_RWLOCK_UNLOCK(rwlock)
#define | STARPU_PTHREAD_RWLOCK_DESTROY(rwlock)
#define | _STARPU_PTHREAD_COND_INIT(cond, attr)
#define | STARPU_PTHREAD_COND_INIT(cond, attr)
#define | STARPU_PTHREAD_COND_INIT0(cond, attr)
#define | STARPU_PTHREAD_COND_DESTROY(cond)
#define | STARPU_PTHREAD_COND_SIGNAL(cond)
#define | STARPU_PTHREAD_COND_BROADCAST(cond)
#define | STARPU_PTHREAD_COND_WAIT(cond, mutex)
#define | STARPU_PTHREAD_COND_TIMEDWAIT(cond, mutex, abstime)
#define | STARPU_PTHREAD_BARRIER_INIT(barrier, attr, count)
#define | STARPU_PTHREAD_BARRIER_DESTROY(barrier)
#define | STARPU_PTHREAD_BARRIER_WAIT(barrier)

## Functions

static STARPU_INLINE int | _starpu_pthread_mutex_trylock (starpu_pthread_mutex_t *mutex, char *file, int line)
static STARPU_INLINE int | _starpu_pthread_mutex_trylock_sched (starpu_pthread_mutex_t *mutex, char *file, int line)
static STARPU_INLINE int | _starpu_pthread_rwlock_tryrdlock (starpu_pthread_rwlock_t *rwlock, char *file, int line)
static STARPU_INLINE int | _starpu_pthread_rwlock_trywrlock (starpu_pthread_rwlock_t *rwlock, char *file, int line)
static STARPU_INLINE int | _starpu_pthread_cond_timedwait (starpu_pthread_cond_t *cond, starpu_pthread_mutex_t *mutex, const struct timespec *abstime, char *file, int line)